[PC-BSD Commits] r4135 - pbibuild/pbibuilder/scripts
svn at pcbsd.org
svn at pcbsd.org
Tue Jun 23 12:05:49 PDT 2009
Author: kris
Date: 2009-06-23 12:05:49 -0700 (Tue, 23 Jun 2009)
New Revision: 4135
Modified:
pbibuild/pbibuilder/scripts/autopopulate.sh
Log:
Fixed up a bug when using autopopulate and the version having a ,1 or something like that at the end
Modified: pbibuild/pbibuilder/scripts/autopopulate.sh
===================================================================
--- pbibuild/pbibuilder/scripts/autopopulate.sh 2009-06-23 16:44:32 UTC (rev 4134)
+++ pbibuild/pbibuilder/scripts/autopopulate.sh 2009-06-23 19:05:49 UTC (rev 4135)
@@ -27,8 +27,10 @@
exit 3
fi
+
# Lets make sure this package exists
-if [ ! -d "/var/db/pkg/${PORTPOPULATE}/" ]
+ls /var/db/pkg/${PORTPOPULATE}*
+if [ "$?" != "0" ]
then
echo "No such port installed: ${PORTPOPULATE}"
exit 2
@@ -38,7 +40,7 @@
# Start by coping the files from this port into our PBI directory
-pkg_info -L ${PORTPOPULATE} | grep -v "^Information" | grep -v "^Files:" > ${CPLIST}
+pkg_info -L ${PORTPOPULATE}\* | grep -v "^Information" | grep -v "^Files:" > ${CPLIST}
while read cpfile
do
if [ ! -z "${cpfile}" ]
More information about the Commits
mailing list